Package org.apache.maven.scm.provider.svn.svnexe.command.blame

## Class SvnBlameConsumer

- java.lang.Object
- - org.apache.maven.scm.util.AbstractConsumer
  - - org.apache.maven.scm.provider.svn.svnexe.command.blame.SvnBlameConsumer

All Implemented Interfaces:
  `org.codehaus.plexus.util.cli.StreamConsumer`

    public class SvnBlameConsumer
    extends AbstractConsumer

Since:
  1.4
Author:
  Evgeny Mandrikov, Olivier Lamy

### Constructor Summary

Constructors
`SvnBlameConsumer​(ScmLogger logger)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `consumeLine​(java.lang.String line)`
`java.util.List<BlameLine>` `getLines()`
`protected java.util.Date` `parseDateTime​(java.lang.String dateTimeStr)`

### Methods inherited from class org.apache.maven.scm.util.AbstractConsumer

`getLogger, parseDate, parseDate, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SvnBlameConsumer

    public SvnBlameConsumer​(ScmLogger logger)

### Method Detail

#### consumeLine

    public void consumeLine​(java.lang.String line)

#### parseDateTime

    protected java.util.Date parseDateTime​(java.lang.String dateTimeStr)

#### getLines

    public java.util.List<BlameLine> getLines()